<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class model.Pattern</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class model.Pattern";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Pattern.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Pattern.html" target="_top">Frames</a></li>
<li><a href="Pattern.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class model.Pattern" class="title">Uses of Class<br>model.Pattern</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../model/Pattern.html" title="class in model">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#model">model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="model">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Pattern.html" title="class in model">Pattern</a> in <a href="../../model/package-summary.html">model</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> that return <a href="../../model/Pattern.html" title="class in model">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Pattern.html" title="class in model">Pattern</a></code></td>
<td class="colLast"><span class="strong">Player.</span><code><strong><a href="../../model/Player.html#getPattern()">getPattern</a></strong>()</code>
<div class="block">Get the pattern.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/Pattern.html" title="class in model">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Player.</span><code><strong><a href="../../model/Player.html#setPattern(model.Pattern)">setPattern</a></strong>(<a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</code>
<div class="block">Set the pattern.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/Pattern.html" title="class in model">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../model/IA.html#IA(java.awt.Color,%20java.lang.String,%20model.Pattern,%20int[],%20int)">IA</a></strong>(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name,
  <a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
  int[]&nbsp;pieces,
  int&nbsp;level)</code>
<div class="block">Instantiates a new AI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../model/Piece.html#Piece(int,%20model.Pattern)">Piece</a></strong>(int&nbsp;numPattern,
     <a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</code>
<div class="block">Instantiates a new piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../model/Piece.html#Piece(int,%20model.Pattern,%20model.Player)">Piece</a></strong>(int&nbsp;numPattern,
     <a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
     <a href="../../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Instantiates a new piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../model/Player.html#Player(java.awt.Color,%20java.lang.String,%20model.Pattern)">Player</a></strong>(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name,
      <a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</code>
<div class="block">Instantiates a new player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../model/Player.html#Player(java.awt.Color,%20java.lang.String,%20model.Pattern,%20int[])">Player</a></strong>(java.awt.Color&nbsp;color,
      java.lang.String&nbsp;name,
      <a href="../../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
      int[]&nbsp;pieces)</code>
<div class="block">Instantiates a new player.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Pattern.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Pattern.html" target="_top">Frames</a></li>
<li><a href="Pattern.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
